org.apache.solr.client.solrj.request

## Class CollectionAdminRequest.CreateShard

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<T>
  - - org.apache.solr.client.solrj.request.CollectionAdminRequest<CollectionAdminResponse>
    - - org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest
      - - org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncShardSpecificAdminRequest
        - - org.apache.solr.client.solrj.request.CollectionAdminRequest.CreateShard

All Implemented Interfaces:
  Serializable

Enclosing class:
  CollectionAdminRequest<T extends CollectionAdminResponse>

    public static class CollectionAdminRequest.CreateShard
    extends CollectionAdminRequest.AsyncShardSpecificAdminRequest

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`CollectionAdminRequest.AddReplica, CollectionAdminRequest.AddReplicaProp, CollectionAdminRequest.AddRole, CollectionAdminRequest.AsyncCollectionAdminRequest, CollectionAdminRequest.AsyncCollectionSpecificAdminRequest, CollectionAdminRequest.AsyncShardSpecificAdminRequest, CollectionAdminRequest.Backup, CollectionAdminRequest.BalanceShardUnique, CollectionAdminRequest.ClusterProp, CollectionAdminRequest.ClusterStatus, CollectionAdminRequest.CollectionAdminRoleRequest, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.CreateSnapshot, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteNode, CollectionAdminRequest.DeleteReplica, CollectionAdminRequest.DeleteReplicaProp, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.DeleteSnapshot, CollectionAdminRequest.DeleteStatus, CollectionAdminRequest.ForceLeader, CollectionAdminRequest.List, CollectionAdminRequest.ListSnapshots, CollectionAdminRequest.Migrate, CollectionAdminRequest.MigrateClusterState, CollectionAdminRequest.OverseerStatus, CollectionAdminRequest.RebalanceLeaders, CollectionAdminRequest.Reload, CollectionAdminRequest.RemoveRole, CollectionAdminRequest.ReplaceNode, CollectionAdminRequest.RequestStatus, CollectionAdminRequest.RequestStatusResponse, CollectionAdminRequest.Restore, CollectionAdminRequest.ShardSpecificAdminRequest, CollectionAdminRequest.SplitShard`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

Fields
`protected String` `nodeSet`
`protected Properties` `properties`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncShardSpecificAdminRequest

`collection, shard`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest

`asyncId`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`action`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS`

### Constructor Summary

Constructors
Constructor and Description
`CreateShard()` Deprecated. use `CollectionAdminRequest.createShard(String, String)`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`String` `getNodeSet()`
`SolrParams` `getParams()`
`Properties` `getProperties()`
`CollectionAdminRequest.CreateShard` `setAsyncId(String id)` Deprecated.
`CollectionAdminRequest.CreateShard` `setCollectionName(String collection)` Deprecated.
`CollectionAdminRequest.CreateShard` `setNodeSet(String nodeSet)`
`CollectionAdminRequest.CreateShard` `setProperties(Properties properties)`
`CollectionAdminRequest.CreateShard` `setShardName(String shardName)` Deprecated.

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest

`createResponse, getAsyncId, processAndWait, processAndWait, processAsync, processAsync`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`addProperties, addReplicaByRouteKey, addReplicaProperty, addReplicaToShard, addRole, backupCollection, balanceReplicaProperty, createAlias, createCollection, createCollection, createCollectionWithImplicitRouter, createShard, deleteAlias, deleteAllAsyncIds, deleteAsyncId, deleteCollection, deleteReplica, deleteReplicaProperty, deleteReplicasFromAllShards, deleteReplicasFromShard, deleteShard, forceLeaderElection, getClusterStatus, getContentStreams, getOverseerStatus, listCollections, migrateCollectionFormat, migrateData, rebalanceLeaders, reloadCollection, removeRole, requestStatus, restoreCollection, setClusterProperty, splitShard, waitForAsyncRequest`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### nodeSet

    protected String nodeSet

#### properties

    protected Properties properties

### Constructor Detail

#### CreateShard

    @Deprecated
    public CreateShard()

Deprecated. use `CollectionAdminRequest.createShard(String, String)`

### Method Detail

#### setNodeSet

    public CollectionAdminRequest.CreateShard setNodeSet(String nodeSet)

#### getNodeSet

    public String getNodeSet()

#### getProperties

    public Properties getProperties()

#### setProperties

    public CollectionAdminRequest.CreateShard setProperties(Properties properties)

#### setCollectionName

    @Deprecated
    public CollectionAdminRequest.CreateShard setCollectionName(String collection)

Deprecated.

Specified by:
  `setCollectionName` in class `CollectionAdminRequest.AsyncShardSpecificAdminRequest`

#### setShardName

    @Deprecated
    public CollectionAdminRequest.CreateShard setShardName(String shardName)

Deprecated.
Provide the name of the shard to be created. Shard names must consist entirely of periods, underscores, hyphens, and alphanumerics. Other characters are not allowed.

Specified by:
  `setShardName` in class `CollectionAdminRequest.AsyncShardSpecificAdminRequest`
Throws:
  `IllegalArgumentException` - if the shard name contains invalid characters.

#### setAsyncId

    @Deprecated
    public CollectionAdminRequest.CreateShard setAsyncId(String id)

Deprecated.

Overrides:
  `setAsyncId` in class `CollectionAdminRequest.AsyncCollectionAdminRequest`

#### getParams

    public SolrParams getParams()

Overrides:
  `getParams` in class `CollectionAdminRequest.AsyncShardSpecificAdminRequest`